BEGIN {
	while ( getline l > 0 ) {
		if ( match ( l, /sys_call_table/ ) )
			break
	}
	while ( ! match ( l, /\{/ ) )
		getline l
	x = match ( l, "\{" )
	if ( x == 0 )
		exit
	l = substr ( l, x + 1, 999 )
	print l
}
{
	l= $0
	if ( length ( l ) > 0 ) {
		x = match ( l, "\}" )
		if ( x > 0 ) {
			print substr ( l, 0, x - 1 )
			exit
		}
		else {
			x = match ( l , "sys_create_module" )
			if ( x > 0 ) {
				print substr ( l, 0, x - 1 )
				exit
			}
		}
		print l
	}
	else
		exit
}
END { }
